POSTsubmit

XRP Ledger Mainnethttps://xrpl-mainnet.nodit.io/

Submits a signed transaction to the local node and the network. The result code in the response is preliminary; check the final outcome with tx after the transaction is included in a ledger version.

Request Body
methodstringrequired
tx_blobstringrequired

The signed transaction, hex-encoded.

fail_hardboolean

Whether to skip retrying or relaying to other nodes when local validation fails.

Responses
engine_resultstring

The preliminary result code of the transaction. (e.g.) tesSUCCESS

engine_result_codeinteger

The numeric value corresponding to the preliminary result code.

engine_result_messagestring

A human-readable explanation of the preliminary result.

tx_blobstring

The submitted transaction, hex-encoded.

tx_jsonobject

The submitted transaction data.

acceptedboolean

Whether the transaction was applied, queued, broadcast or kept.

account_sequence_availableinteger

The next sequence number available once pending transactions are taken into account.

account_sequence_nextinteger

The sequence number to use after the provisionally applied transactions.

appliedboolean

Whether the transaction was applied to the open ledger.

broadcastboolean

Whether the transaction was broadcast to peer servers.

keptboolean

Whether the transaction was kept for a later retry.

queuedboolean

Whether the transaction was queued for a future ledger version.

open_ledger_coststring

The cost of the open ledger before this transaction was processed, in drops.

validated_ledger_indexinteger

The index of the most recent validated ledger version at submission time.

X-API-KEY
RequestCU40
cURL
curl -X POST "https://xrpl-mainnet.nodit.io/" \
  -H "X-API-KEY: {YOUR_API_KEY}" \
  -H "Content-Type: application/json" \
  -d '{
  "method": "submit",
  "params": [
    {
      "tx_blob": "1200002280000000240000001B61400000000098968068400000000000000C7321ED",
      "fail_hard": false
    }
  ]
}'
Response
Example · 200
{
  "result": {
    "accepted": true,
    "account_sequence_available": 42,
    "account_sequence_next": 42,
    "applied": true,
    "broadcast": true,
    "engine_result": "tesSUCCESS",
    "engine_result_code": 0,
    "engine_result_message": "The transaction was applied. Only final in a validated ledger.",
    "kept": true,
    "open_ledger_cost": "10",
    "queued": false,
    "tx_blob": "1200002280000000240000001B61400000000098968068400000000000000C7321ED",
    "tx_json": {
      "Account": "r9cZA1mLK5R5Am25ArfXFmqgNwjZgnfk59",
      "Amount": "1000000",
      "Destination": "rMwjYedjc7qqtKYVLiAccJSmCwih4LnE2q",
      "Fee": "12",
      "Sequence": 41,
      "TransactionType": "Payment",
      "hash": "E08D6E9754025BA2534A78707605E0601F03ACE063687A0CA1BDDACFCD1698C7"
    },
    "validated_ledger_index": 98765432
  }
}